Package org.eclipse.net4j.util.security

# Class ResponseNegotiatorInjector

java.lang.Object
org.eclipse.net4j.util.security.ResponseNegotiatorInjector

All Implemented Interfaces:
  `IElementProcessor`

public abstract class ResponseNegotiatorInjector extends Object implements IElementProcessor

Since:
  2.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ResponseNegotiatorInjector(INegotiator negotiator)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract boolean`
`filterElement(String productGroup, String factoryType, String description, INegotiatorAware negotiatorAware)`
`INegotiator`
`getNegotiator()`
`Object`
`process(IManagedContainer container, String productGroup, String factoryType, String description, Object element)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResponseNegotiatorInjector

public ResponseNegotiatorInjector(INegotiator negotiator)

## Method Details

### getNegotiator

public INegotiator getNegotiator()

### process

public Object process(IManagedContainer container, String productGroup, String factoryType, String description, Object element)

Specified by:
  `process` in interface `IElementProcessor`

### filterElement

protected abstract boolean filterElement(String productGroup, String factoryType, String description, INegotiatorAware negotiatorAware)